Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class StringVector

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.StringVector

Direct Known Subclasses:
  MutableAttrListImpl

public class StringVector
extends java.lang.Object

A very simple table that stores a list of strings, optimized for small lists.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected int` | `m_blocksize`
`protected int` | `m_firstFree`
`protected java.lang.String[]` | `m_map`
`protected int` | `m_mapSize`

Constructor Summary
`StringVector()` Default constructor.
`StringVector(int blocksize)` Construct a StringVector, using the given block size.

Method Summary
`void` | `addElement(java.lang.String value)` Append a string onto the vector.
`boolean` | `contains(java.lang.String s)` Tell if the table contains the given string.
`boolean` | `containsIgnoreCase(java.lang.String s)` Tell if the table contains the given string.
`java.lang.String` | `elementAt(int i)` Get the nth element.
`int` | `getLength()` Get the length of the list.
`java.lang.String` | `peek()` Tell if the table contains the given string.
`java.lang.String` | `pop()` Tell if the table contains the given string.
`void` | `push(java.lang.String s)` Tell if the table contains the given string.
`int` | `size()` Get the length of the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_blocksize

    protected int m_blocksize

### m_map

    protected java.lang.String[] m_map

### m_firstFree

    protected int m_firstFree

### m_mapSize

    protected int m_mapSize

Constructor Detail

### StringVector

    public StringVector()

  Default constructor. Note that the default block size is very small, for small lists.

### StringVector

    public StringVector(int blocksize)

  Construct a StringVector, using the given block size.

Method Detail

### getLength

    public int getLength()

  Get the length of the list.

### size

    public final int size()

  Get the length of the list.

### addElement

    public final void addElement(java.lang.String value)

  Append a string onto the vector.

### elementAt

    public final java.lang.String elementAt(int i)

  Get the nth element.

### contains

    public final boolean contains(java.lang.String s)

  Tell if the table contains the given string.

### containsIgnoreCase

    public final boolean containsIgnoreCase(java.lang.String s)

  Tell if the table contains the given string.

### push

    public final void push(java.lang.String s)

  Tell if the table contains the given string.

### pop

    public final java.lang.String pop()

  Tell if the table contains the given string.

### peek

    public final java.lang.String peek()

  Tell if the table contains the given string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD